// 物业管理员
import http from "@/apis/axios";
const api = "admin/";
export default {
  // 添加
  add: (data, params) => http(api + "goodadd", data, "post", params),
  // 删除
  delete: (data, params) => http(api + "gooddel", data, "post", params),
  // 分页查询
  list: (data, params) => http(api + "goodlist", data, "post", params),
  // 详情
  detail: (data, params) => http(api + "goodinfo", data, "post", params),
  // 更改
  update: (data, params) => http(api + "goodsave", data, "post", params),
  // 更新状态
  status: (data, params) => http(api + "goodstatus", data, "post", params),
  // 复制
  copy: (data, params) => http(api + "goodcopy", data, "post", params),
  // 获取全部分类
  catAll: (data, params) => http(api + "catAll", data, "post", params),
  // 获取全部品牌
  brandAll: (data, params) => http(api + "brandall", data, "post", params),
  // 获取全部供应商账号
  supplierAll: (data, params) => http(api + "supplierall", data, "post", params),
  // 商品种类ID换取规格值
  specByCat: (data, params) => http(api + "SpecByCat", data, "post", params),
  // 规格属性值新建
  specinfoadd: (data, params) => http(api + "specinfoadd", data, "post", params),

};
